## gstlal-ugly-0.9.1.tar.gz

=== examples/configurations/record_stereo/Makefile ===
# Run as:
# make -j CANDIDATE_TIME=<<gps time in seconds>>

REF_PSD_START_TIME = $(shell python -c "print $(CANDIDATE_TIME) - 500")
REF_PSD_END_TIME = $(shell python -c "print $(CANDIDATE_TIME) + 500")

FILES = \
	reference_psd.H1.xml.gz \
	reference_psd.L1.xml.gz \
	stereo_H1_L1.wav

all: $(FILES)

clean:
	rm -f $(FILES)

stereo_H1_L1.wav: reference_psd.H1.xml.gz reference_psd.L1.xml.gz encode.py
	./encode.py --gps-time $(CANDIDATE_TIME)

reference_psd.%.xml.gz:
	gstlal_reference_psd \
		--verbose \
		--online-data \
		--instrument $* \
		--write-psd $@ \
		--gps-start-time $(REF_PSD_START_TIME) \
		--gps-end-time $(REF_PSD_END_TIME)

=== debian/changelog ===
gstlal-ugly (0.9.1-1) unstable; urgency=low

  * remove check for lal swig bindings (rely on gstlal package having done this)

 -- Kipp Cannon <kipp.cannon@ligo.org>  Sat, 25 Jul 2015 13:35:48 -0500

gstlal-ugly (0.9.0-1) unstable; urgency=low

  * new version 0.9.0

 -- Kipp Cannon <kipp.cannon@ligo.org>  Thu, 23 Jul 2015 20:20:52 -0500

gstlal-ugly (0.8.0-1) unstable; urgency=low

  * new version 0.8.0

 -- Kipp Cannon <kipp.cannon@ligo.org>  Thu, 21 May 2015 15:50:19 -0500

gstlal-ugly (0.7.3-1) unstable; urgency=low

  * new version 0.7.3

 -- Kipp Cannon <kipp.cannon@ligo.org>  Wed, 03 Dec 2014 07:27:42 -0500

gstlal-ugly (0.7.2-1) unstable; urgency=low

  * new version 0.7.2

 -- Kipp Cannon <kipp.cannon@ligo.org>  Tue, 25 Nov 2014 17:33:04 -0500

gstlal-ugly (0.7.1-1) unstable; urgency=low

  * new version 0.7.1

 -- Kipp Cannon <kipp.cannon@ligo.org>  Tue, 25 Nov 2014 15:15:59 -0500

gstlal-ugly (0.7.0-1) unstable; urgency=low

  * new version 0.7.0

 -- Kipp Cannon <kipp.cannon@ligo.org>  Wed, 19 Nov 2014 16:19:28 -0500

gstlal-ugly (0.6.0-1) unstable; urgency=low

  * new version 0.6.0

 -- Kipp Cannon <kipp.cannon@ligo.org>  Thu, 16 Jan 2014 15:05:13 -0500

gstlal-ugly (0.5.4-1) unstable; urgency=low

  * include /usr/share/... in package
  * fix build against new framecpp headers

 -- Kipp Cannon <kipp.cannon@ligo.org>  Tue, 7 Jan 2014 14:35:40 -0500

gstlal-ugly (0.5.2-1) unstable; urgency=low

  * New version 0.5.2

 -- Kipp Cannon <kipp.cannon@ligo.org>  Tue, 24 Jul 2013 11:37:12 -0500

gstlal-ugly (0.5.1-1) unstable; urgency=low

  * New version 0.5.1

 -- Kipp Cannon <kipp.cannon@ligo.org>  Tue, 2 Jul 2013 12:53:41 -0500

gstlal-ugly (0.4.3-1) unstable; urgency=low

  * New version 0.4.3

 -- Kipp Cannon <kipp.cannon@ligo.org>  Tue, 29 Jan 2013 17:19:09 -0500

gstlal-ugly (0.4.2-1) unstable; urgency=low

  * New version 0.4.2

 -- Kipp Cannon <kipp.cannon@ligo.org>  Fri, 25 Jan 2013 14:15:31 -0500

gstlal-ugly (0.4.1-1) unstable; urgency=low

  * New version 0.4.1

 -- Kipp Cannon <kipp.cannon@ligo.org>  Tue, 15 Jan 2013 23:11:00 -0500

gstlal-ugly (0.4.0-1) unstable; urgency=low

  * New release 0.4.0
  * Rebuild with source format 3.0, dh_python2
  * Split off -dev package
  * Adjusted description texts

 -- Steffen Grunewald <steffen.grunewald@aei.mpg.de>  Fri, 14 Dec 2012 11:35:00 +0100

gstlal-ugly (0.3.1-1) unstable; urgency=low

  * New upstream release
  * Add nds2-client-dev as build dependency.

 -- Adam Mercer <adam.mercer@ligo.org>  Mon, 09 Jul 2012 12:23:49 -0500

gstlal-ugly (0.2.1-1) unstable; urgency=low

  * New upstream release, fixes nds2 dependency problem

 -- Carsten Aulbert <carsten.aulbert@aei.mpg.de>  Fri, 20 Apr 2012 13:57:36 +0200

gstlal-ugly (0.2.0-1) squeeze; urgency=low

  * Initial release.

 -- Carsten Aulbert <carsten.aulbert@aei.mpg.de>  Mon, 16 Apr 2012 13:50:55 +0200

=== debian/control ===
Source: gstlal-ugly
Maintainer: Carsten Aulbert <carsten.aulbert@aei.mpg.de>
Section: lscsoft
Priority: optional
Standards-Version: 3.9.2
X-Python-Version: >= 2.6
Build-Depends:
 debhelper (>= 8),
 gtk-doc-tools,
 python-all-dev (>= 2.6),
 libfftw3-dev (>= 3),
 gstlal-dep (>= 2.2) | gstenvironment,
 python-gobject-dev,
 python-numpy,
 lal-dev (>= 6.14.0),
 lalmetaio-dev (>= 1.2.6),
 libgsl0-dev (>= 1.9),
 ldas-tools-framecpp-dev (>= 2.3.3),
 gds-dev (>= 2.17.0),
 gds-crtools (>= 2.17.0),
 gds-services (>= 2.17.0),
 python-glue (>= 1.49),
 nds2-client-dev (>= 0.11.2),
 fakeroot,
 pkg-config,
 libxml2-dev,
 liborc-0.4-0 (>= 1:0.4.16),
 liborc-0.4-dev (>= 1:0.4.16),
 gstlal-dev (>= 0.10.0)

Package: gstlal-ugly
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 python (>= 2.6),
 python-glue (>= 1.49),
 python-glue-segments (>= 1.49),
 python-pylal (>= 0.8.0),
 libfftw3-3,
 gstlal-dep (>= 2.2) | gstenvironment,
 python-gobject,
 python-numpy,
 python-scipy,
 lal (>= 6.14.0),
 lalmetaio (>= 1.2.6),
 libgsl0ldbl (>= 1.9),
 ldas-tools-framecpp (>= 2.3.3),
 gds-core (>= 2.17.0),
 gds-crtools (>= 2.17.0),
 gds-services (>= 2.17.0),
 nds2-client (>= 0.11.2),
 liborc-0.4-0 (>= 1:0.4.16),
 libxml2,
 gstlal (>= 0.10.0)
Description: GStreamer for GW data analysis (in-development parts)
 This package provides a variety of GStreamer elements for
 gravitational-wave data analysis and some libraries to help write such
 elements. The code here sits on top of several other libraries, notably
 the LIGO Algorithm Library (LAL), FFTW, the GNU Scientific Library (GSL),
 and, of course, GStreamer.
 This package contains the plugins and shared libraries required to run
 gstlal-based applications.

Package: gstlal-ugly-dev
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 gstlal-ugly (= ${binary:Version}),
 gstlal-dev (>= 0.10.0),
 libfftw3-dev,
 libgsl0-dev,
 libreadline-dev,
 python-gobject-dev,
 lal-dev (>= 6.14.0),
 lalmetaio-dev (>= 1.2.6)
Description: Files and documentation needed for compiling gstlal-ugly based plugins and programs.
 This package contains the files needed for building gstlal-ugly based
 plugins ands programs.

=== debian/rules ===
#!/usr/bin/make -f
%:
	. /opt/lscsoft/gst/etc/gstenvironment.sh; \
	dh $@ --with=python2

override_dh_auto_configure:
	dh_auto_configure -- --without-doxygen

override_dh_auto_test:
	. /opt/lscsoft/gst/etc/gstenvironment.sh; \
	export PYTHONPATH=$$(pwd)/python; \
	dh $@

override_dh_shlibdeps:
	. /opt/lscsoft/gst/etc/gstenvironment.sh; \
	dh "$@" -Xlibgstaudio-0.10.so.0
